Debian Bug report logs - #699854
ITP: openctm -- Open Compressed Triangle Mesh file format

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: yoh@onerussian.com

Date: Tue, 5 Feb 2013 22:21:01 UTC

Owned by: Teemu Ikonen <tpikonen@gmail.com>

Severity: wishlist

Fixed in version openctm/1.0.3+dfsg1-1

Done: Teemu Ikonen <tpikonen@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699854; Package wnpp. (Tue, 05 Feb 2013 22:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to yoh@onerussian.com:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 05 Feb 2013 22:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: openctm -- Open Compressed Triangle Mesh file format
Date: Tue, 05 Feb 2013 17:16:52 -0500
Package: wnpp
Severity: wishlist

* Package name    : openctm
  Version         : 1.0.3
  Upstream Author : Marcus Geelnard
* URL             : http://openctm.sourceforge.net/
* License         : BSD-3
  Programming Lang: C
  Description     : Open Compressed Triangle Mesh file format

OpenCTM — the Open Compressed Triangle Mesh file format — is a file format, a
software library and a tool set for compression of 3D triangle meshes. The
geometry is compressed to a fraction of comparable file formats (3DS, STL,
VRML, COLLADA...), and the format is easily accessible through a simple,
portable API.

There is also http://code.google.com/p/js-openctm/ a javascript library for
reading OpenCTM files -- worth separate RFP ;-)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699854; Package wnpp. (Tue, 17 Sep 2013 19:36:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Ikonen <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 17 Sep 2013 19:36:53 GMT) Full text and rfc822 format available.

Message #10 received at 699854@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@gmail.com>
To: control@bugs.debian.org, 699854@bugs.debian.org, debian-science <debian-science@lists.debian.org>
Subject: RFS: openctm
Date: Tue, 17 Sep 2013 21:24:47 +0200
[Message part 1 (text/plain, inline)]
retitle 699854 ITP: openctm -- Open Compressed Triangle Mesh file format
thanks

I just uploaded openctm packages to the Debian Science git repo at
http://anonscm.debian.org/gitweb/?p=debian-science/packages/openctm.git
and mentors.d.o:
http://mentors.debian.net/debian/pool/main/o/openctm/openctm_1.0.3-1.dsc

The package is lintian clean etc., but checking and sponsoring the upload
would still be needed.

Best,
Teemu
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: openctm -- Open Compressed Triangle Mesh file format' from 'RFP: openctm -- Open Compressed Triangle Mesh file format' Request was from Teemu Ikonen <tpikonen@gmail.com> to control@bugs.debian.org. (Tue, 17 Sep 2013 19:37:00 GMT) Full text and rfc822 format available.

Owner recorded as Teemu Ikonen <tpikonen@gmail.com>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Wed, 18 Sep 2013 16:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Teemu Ikonen <tpikonen@gmail.com>:
Bug#699854; Package wnpp. (Wed, 18 Sep 2013 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Teemu Ikonen <tpikonen@gmail.com>. (Wed, 18 Sep 2013 18:45:04 GMT) Full text and rfc822 format available.

Message #19 received at 699854@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Teemu Ikonen <tpikonen@gmail.com>
Cc: 699854@bugs.debian.org, debian-science <debian-science@lists.debian.org>
Subject: Re: RFS: openctm
Date: Wed, 18 Sep 2013 20:43:06 +0200
Hi Teemu,

I have committed minor changes, the package looks fine.
But, please, remove all pdf-files, which are without source.
After that you should add "dfsg"-prefix to the package number.

Thanks for packaging an interesting package.

Cheers,

Anton

Anton


2013/9/17 Teemu Ikonen <tpikonen@gmail.com>:
> retitle 699854 ITP: openctm -- Open Compressed Triangle Mesh file format
> thanks
>
> I just uploaded openctm packages to the Debian Science git repo at
> http://anonscm.debian.org/gitweb/?p=debian-science/packages/openctm.git
> and mentors.d.o:
> http://mentors.debian.net/debian/pool/main/o/openctm/openctm_1.0.3-1.dsc
>
> The package is lintian clean etc., but checking and sponsoring the upload
> would still be needed.
>
> Best,
> Teemu
>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699854; Package wnpp. (Wed, 25 Sep 2013 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Ikonen <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 25 Sep 2013 17:33:04 GMT) Full text and rfc822 format available.

Message #24 received at 699854@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@gmail.com>
To: Anton Gladky <gladky.anton@gmail.com>, 699854@bugs.debian.org
Subject: Re: Bug#699854: RFS: openctm
Date: Wed, 25 Sep 2013 19:29:58 +0200
[Message part 1 (text/plain, inline)]
Hi Anton,

Thanks for spotting these. I repackaged the sources and made the some other
necessary changes to the git repository (
http://anonscm.debian.org/gitweb/?p=debian-science/packages/openctm.git )

Best,
Teemu

On Wed, Sep 18, 2013 at 8:43 PM, Anton Gladky <gladky.anton@gmail.com>wrote:

> Hi Teemu,
>
> I have committed minor changes, the package looks fine.
> But, please, remove all pdf-files, which are without source.
> After that you should add "dfsg"-prefix to the package number.
>
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 25 Sep 2013 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Teemu Ikonen <tpikonen@gmail.com>:
You have taken responsibility. (Sun, 06 Oct 2013 17:03:28 GMT) Full text and rfc822 format available.

Notification sent to yoh@onerussian.com:
Bug acknowledged by developer. (Sun, 06 Oct 2013 17:03:28 GMT) Full text and rfc822 format available.

Message #31 received at 699854-close@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@gmail.com>
To: 699854-close@bugs.debian.org
Subject: Bug#699854: fixed in openctm 1.0.3+dfsg1-1
Date: Sun, 06 Oct 2013 17:00:09 +0000
Source: openctm
Source-Version: 1.0.3+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
openctm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699854@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Teemu Ikonen <tpikonen@gmail.com> (supplier of updated openctm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 25 Sep 2013 16:38:56 +0200
Source: openctm
Binary: libopenctm-dev libopenctm1 openctm-tools python-openctm openctm-doc
Architecture: source amd64 all
Version: 1.0.3+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Teemu Ikonen <tpikonen@gmail.com>
Description: 
 libopenctm-dev - Library headers for compression of 3D triangle meshes
 libopenctm1 - Library for compression of 3D triangle meshes
 openctm-doc - Documentation for OpenCTM library and tools
 openctm-tools - Tools for compression of 3D triangle meshes
 python-openctm - Python bindings for OpenCTM library
Closes: 699854
Changes: 
 openctm (1.0.3+dfsg1-1) unstable; urgency=low
 .
   * Initial release (Closes: #699854)
   * Repackage the sources to remove sourceless PDF documentation
     and libraries which are already packaged in Debian.
Checksums-Sha1: 
 75d8e3ed2791e6756649263729983cc917653cce 2295 openctm_1.0.3+dfsg1-1.dsc
 f36c7774128e409ec032b13a57bda29e1ffc3f6d 179792 openctm_1.0.3+dfsg1.orig.tar.bz2
 fc23ddbb166b9e94e33289cb7905b6fa1f5ddb86 15053 openctm_1.0.3+dfsg1-1.debian.tar.gz
 bd3e58cb0d757682fa71be6fcf7d19f0d79a7c2a 17690 libopenctm-dev_1.0.3+dfsg1-1_amd64.deb
 4eb0fc2f4fdffb5ec74b164f651597c58df56787 47192 libopenctm1_1.0.3+dfsg1-1_amd64.deb
 d345cefa4b191361cea73a027a0c38ca7699fd5a 133554 openctm-tools_1.0.3+dfsg1-1_amd64.deb
 fc7515ff98489b96d3497d089f4d3e8041efd707 18638 python-openctm_1.0.3+dfsg1-1_all.deb
 a0a39d47944608802c57a4662c8f0b4fe2ffb787 41276 openctm-doc_1.0.3+dfsg1-1_all.deb
Checksums-Sha256: 
 bc32ca502966ba68b290a79de2b8140627cb7628287c0ed66145ac0477fbd573 2295 openctm_1.0.3+dfsg1-1.dsc
 b72bae806d65dcb4d55b88f17bb636c9908717871cbebff6c32024399f50a074 179792 openctm_1.0.3+dfsg1.orig.tar.bz2
 43837c59d0073781eee817cf621aeb03ea3057c60637cf84a79b2a2cd9443dd6 15053 openctm_1.0.3+dfsg1-1.debian.tar.gz
 e1803baaaad082e28b402c23f2cf41b8f69f490e7cd2d5bc16945f9c1c2dbb48 17690 libopenctm-dev_1.0.3+dfsg1-1_amd64.deb
 922fe4266b5accfb8aa2309c11b2111cc0aeb71ae4250b2402b37543abb36edb 47192 libopenctm1_1.0.3+dfsg1-1_amd64.deb
 15d40206a9aa7a9756791c71bdbd57ef7ebba76d842cede153c20939170ec678 133554 openctm-tools_1.0.3+dfsg1-1_amd64.deb
 7c0e852355550618eadaad16eb860537fdd0062f6a8637749f0a5d6caf61d162 18638 python-openctm_1.0.3+dfsg1-1_all.deb
 3a46e8157d2417e1557d00b985a28177db7a80b3a0ab0018605cc50a1e691ac6 41276 openctm-doc_1.0.3+dfsg1-1_all.deb
Files: 
 082bfeebc31ff9b13eb9d0b62ecef7d3 2295 libs extra openctm_1.0.3+dfsg1-1.dsc
 ab7e1db025937d28096ae47fc21fd4c9 179792 libs extra openctm_1.0.3+dfsg1.orig.tar.bz2
 9ec2e0eed9bca46fda0490fdb620a70d 15053 libs extra openctm_1.0.3+dfsg1-1.debian.tar.gz
 55c46c60ec4d56fbce7d7bc7e83d0476 17690 libdevel extra libopenctm-dev_1.0.3+dfsg1-1_amd64.deb
 38b712b34f8648f86d60ea721277b861 47192 libs extra libopenctm1_1.0.3+dfsg1-1_amd64.deb
 8b77138a5c9ae63d5e5c8b3a5ca8a579 133554 graphics extra openctm-tools_1.0.3+dfsg1-1_amd64.deb
 a7906e249f74fce68b04bd63965c6438 18638 python extra python-openctm_1.0.3+dfsg1-1_all.deb
 68d9ab30ff8ab83a8002e5aae8719735 41276 doc extra openctm-doc_1.0.3+dfsg1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJSQzqiAAoJENPhc4PPp/8GzW4P/R6lgqOdhKPwIUgNA7lipSTx
ZoK/tkkO0n0yrhQtNma3mSQU9FKADAjSTkZofM7S9RMvZV5J/3al9fPMHoP2jl79
zlyIannWxaI54b/vYSJga0pCRLzYvAPjGqE8qQw8yJa/Oy/ipes968VWjvKnVcAF
uLyg9FzG9GwNZUzJ82cPMJJofqs+B4u3I3LRuD0sgdbxW64G3HUpPiGeDceJ1p2k
IfP5oX/29K2Wiw62vb7cRHTKiuCEjKzStPVE32qXbtvHsR1BClfBgVmo0sq4TasT
1oCxfGaX9VDNHhg+ivSzzuL3a9dIjCjGNCJHvmXhSJ1Qqu1qwA+V3QbQltCHsGs+
XVyCrYgonyzWUEULkGLu8MbK03BnE7E6i1MeMHFf1f3ojc0EFBeO8rf7Xw2MDr8T
EhQMTkdnvggYIM73UyHIEyhV1Ibb10ukRS/EwIRZMbQtNtUFLEsyNhlZvYp4AOtz
96rH4h+vz8Yd6UUZlaOYcda4fj34zS2hj0O/jeshHfj7NOvHnZ5oMGalAkZfbWKt
6jThBPslLdmIzBuDfFdSFvh4Z7VDdz/HVH3lV8faFXiNmVXc8l1QB4czKiaf6LGy
aCJiQvDXo5FXn00HXH+dveio09WYYyoOstieRmv0YEzoynLmZy+VTfeLzJKpfTMr
qg95oISqiqBp7H7SUb5B
=cXLu
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Nov 2013 07:36:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:36:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.